// entry.esm.js
import * as components from '../src/components';
import {createApp} from 'vue'
import App from './App.vue'

/**
 *  install function executed by Vue.use()
 */

const install = function lightswitchStorefrontUiPlugin(Vue) {
    Object.entries(components).forEach(([componentName, component]) => {
        /**
         * Outputs string similar to  Vue.component('componentName', 'component)
         */
        const app = createApp(App);
        app.component(componentName, component);
    });
};

/**
 * To allow individual component use, export components,
 * each is registered via Vue.component()
 */

export { components, install };

// Create module definition for Vue.use()
export default install;
