// main.js
import plugin, * as components from '../src/entry.esm';
import App from './App.vue';
import { createApp } from 'vue';
import '../styles.scss';

const app = createApp(App);
/**
 * Attach named exports directly to plugin.
 */

Object.entries(components).forEach(([componentName, component]) => {
    if (componentName !== 'default') {
        plugin[componentName] = component;
    }
});

app.use(plugin)
app.$mount('#app');

export default plugin;
